.radioContainer {
  display: flex;
  flex-direction: row;
  vertical-align: middle;
}
.radioWrapper {
  display: grid;
  grid-template-columns: min-content auto;
  grid-gap: 0.4em;
}
.radioInput {
  display: flex;
}

.radioInput input {
  opacity: 0;
  width: 0;
  height: 0;
  margin: 0;
}

.radioControl {
  display: grid;
  width: .8em;
  height: .8em;
  border-radius: 50%;
  border: 0.1em solid var(--color-primary);
  transform: translateY(-0.05em);
  place-items: center;
}

input + .radioControl::before {
  content: "";
  width: .5em;
  height: .5em;
  box-shadow: inset .5em .5em var(--color-primary);
  border-radius: 50%;
  transition: 180ms transform ease-in-out;
  transform: scale(0);
  box-sizing: border-box;
  
}

input:checked + .radioControl::before {
  transform: scale(1);
}
.radioLabel{
  font-size: var(--font-size-text);
  line-height: 1;
  padding-right: 0.5em;
}

.radioRightIcon {
  transform: translateY(-0.15em);
  padding-right: 0.5em;
}
